Page MenuHomePhabricator

Tests should detect colons in wgExtraNamespaces
Closed, ResolvedPublic

Description

Tests of operations/mediawiki-config repo should have detected the colon in that patch:
https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/486221/5/wmf-config/InitialiseSettings.php

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2019, 8:03 PM
Framawiki renamed this task from Tests should detect colons in namespace names dict to Tests should detect colons in wgExtraNamespaces.Jan 24 2019, 8:55 PM

Change 486382 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] [tests] wgExtraNamespaces should not contain colons

https://gerrit.wikimedia.org/r/486382

@Framawiki So it turns out, that was not colon actually. See https://en.wikipedia.org/w/index.php?title=%E0%A4%83&redirect=no where the mark was redirected to Visarga. Then note the actual colon (:) redirect page here: https://en.wikipedia.org/w/index.php?title=%EF%B9%95&redirect=no. This shows their distinctness.

Zoranzoki21 updated the task description. (Show Details)Jan 26 2019, 11:01 AM

@Framawiki So it turns out, that was not colon actually. See https://en.wikipedia.org/w/index.php?title=%E0%A4%83&redirect=no where the mark was redirected to Visarga. Then note the actual colon (:) redirect page here: https://en.wikipedia.org/w/index.php?title=%EF%B9%95&redirect=no. This shows their distinctness.

Thank you for the explanation. But these tests may be useful in another case, so I'll push them.

Change 486382 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] [tests] wgExtraNamespaces should not contain colons

https://gerrit.wikimedia.org/r/486382

Change 486382 merged by jenkins-bot:
[operations/mediawiki-config@master] [tests] wgExtraNamespaces should not contain colons

https://gerrit.wikimedia.org/r/486382

Framawiki closed this task as Resolved.Apr 29 2019, 6:26 PM